Subject: FVWM: newbie needs help

From: [email-masked]
Date: Mon, 5 Apr 1999 11:03:51 -0500

Please excuse my ignorance. I've downloaded fvwm2-2 and I want to install it
on my Solaris 2.6 machine. I have gcc version 2.8.1. I ran configure and
received the following output:

loading cache ./config.cache
checking for a BSD compatible install... ./install-sh -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... missing
checking whether to enable modal dialogs for applications... yes
checking whether to enable saveunders for pop-up menus... yes
checking whether to enable shape extensions... yes
checking whether to enable ActiveDown button state... yes
checking whether to enable Inactive button state... yes
checking whether to enable MiniIcon style option... yes
checking whether to enable vector button style... yes
checking whether to enable pixmap button style... yes
checking whether to enable gradient button style... yes
checking whether to enable stacked button styles... yes
checking whether to enable styled title-bars... yes
checking whether to enable BorderStyle command... yes
checking whether to enable UseDecor style option... yes
checking whether to enable WindowShade function... yes
checking whether to enable debugging messages... no
checking iconpath... /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for POSIXized ISC... no
checking for minix/config.h... no
checking for stdarg.h... yes
checking for vfprintf... yes
checking for waitpid... yes
checking for c++... c++
Using c++ to compile C++ programs
checking for c++... (cached) c++
checking whether the C++ compiler (c++  ) works... no
configure:error: installation or configuration problem: C++ compiler cannot
create executables.

Questions:
What are the prerequisites to installing fvwm?
What do I do next? Does anyone have Step-by-step instructions for installing
on a new Solaris 2.6 system?

I've checked the archives and haven't found anything that's clear to me.

Thanks!

Mark Hanson
[email-masked]

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].